from django_filters.rest_framework import FilterSet
from django_filters import DateTimeFromToRangeFilter

from data_import.models import (
    DataImport,
)


class DataImportFilterSet(FilterSet):
    created_at = DateTimeFromToRangeFilter()
    modified_at = DateTimeFromToRangeFilter()

    class Meta(object):
        model = DataImport
        fields = ['id', 'name', 'created_at', 'modified_at', 'configuration']
