import os

from Cython.Build import cythonize

from subprocess import check_call


files = []

for filepath in files:
    if os.path.exists(filepath):
        file_no_ext = filepath.split('.')[0]
        cythonize(filepath)
        check_call(['gcc', '-shared', '-pthread', '-fPIC', '-fwrapv', '-O2',
                    '-Wall', '-fno-strict-aliasing',
                    '-I/usr/include/python3.6m', '-o',
                    '{}.so'.format(file_no_ext), '{}.c'.format(file_no_ext)])
        os.remove(filepath)
        os.remove(file_no_ext + '.c')
